using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace prj_wfrm_centreCall_tickets
{
    public partial class Contrat_expiré : Form
    {
        public Contrat_expiré()
        {
            InitializeComponent();
        }

        private void Contrat_expiré_Load(object sender, EventArgs e)
        {
            if (tab.nbClients == 0)
            {
                MessageBox.Show("Aucun", "Information", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {
                //parcours du tableau des client 
                for (int i = 0; i < tab.nbClients; i++)
                {
                    //configuration d'une ligne de la liste
                    
                    if (tab.client[i].dateFinContrat < DateTime.Now)
                    {
                        ListViewItem ligne = new ListViewItem();
                        //1ère colonne = n° du client 
                        ligne.Text = tab.client[i].numero.ToString();

                        //2ème colonne = la raison sociale
                        ligne.SubItems.Add(tab.client[i].raisonSociale.ToString());

                        //3ème colonne = la date de contrat 
                        ligne.SubItems.Add(tab.client[i].dateContrat.ToShortDateString());

                        //4ème colonne = la duree du contrat en mois 
                        ligne.SubItems.Add(tab.client[i].duree.ToString());

                        //5ème colonne = date de la fin du contrat 
                        ligne.SubItems.Add(tab.client[i].dateFinContrat.ToShortDateString());

                        lv_expirer.Items.Add(ligne);
                    }



                    //ajout de la ligne dans la liste
                    
                }
            }
        }
    }
}
